petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscMin

Returns minimum of two numbers

### Synopsis

    #include <petscmath.h>
    type PetscMin(type v1,type v2)

Not Collective

### Input Parameter

| v1 | - first value to find minimum of
| v2 | - second value to find minimum of

### Notes

type can be integer or floating point value

### See Also

PetscMax(), PetscClipInterval(), PetscAbsInt(), PetscAbsReal(), PetscSqr()

### Level

beginner

### Location

include/petscmath.h

### Examples

src/ksp/ksp/examples/tutorials/ex70.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex5s.c.html
src/snes/examples/tutorials/ex14.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex30.c.html
src/snes/examples/tutorials/ex48.c.html
src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages